### A free/open-source library for quantitative finance

Public Member Functions
MakeMCAmericanEngine< RNG, S > Class Template Reference

Monte Carlo American engine factory. More...

`#include <ql/pricingengines/vanilla/mcamericanengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCAmericanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCAmericanEngine & | withSteps (Size steps)
MakeMCAmericanEngine & | withStepsPerYear (Size steps)
MakeMCAmericanEngine & | withSamples (Size samples)
MakeMCAmericanEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCAmericanEngine & | withMaxSamples (Size samples)
MakeMCAmericanEngine & | withSeed (BigNatural seed)
MakeMCAmericanEngine & | withAntitheticVariate (bool b=true)
MakeMCAmericanEngine & | withControlVariate (bool b=true)
MakeMCAmericanEngine & | withPolynomOrder (Size polynomOrer)
MakeMCAmericanEngine & | withBasisSystem (LsmBasisSystem::PolynomType)
MakeMCAmericanEngine & | withCalibrationSamples (Size calibrationSamples)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCAmericanEngine< RNG, S >

Monte Carlo American engine factory.

Examples:
  EquityOption.cpp.